import { ExtractPropTypes, PropType } from 'vue'

export const logoProps = {
  logoName: {
    type: Array as PropType<string[]>,
  },
  type: {
    type: String as PropType<'default' | 'primary'>,
    default: 'default',
    validator: (value: string) => {
      return ['default', 'primary'].includes(value)
    }
  },
  size: {
    type: String as PropType<'small' | 'medium' | 'large'>,
    default: 'medium',
    validator: (value: string) => {
      return ['small', 'medium', 'large'].includes(value)
    }
  },
  disabled: {
    type: Boolean,
    default: false
  }
} as const

export type LogoProps = ExtractPropTypes<typeof logoProps> 